gio-0.13.1.0: Binding to the GIO.

Maintainer | gtk2hs-devel@lists.sourceforge.net
Stability | alpha
Portability | portable (depends on GHC)
Safe Haskell | None
Language | Haskell98

System.GIO.Icons.FileIcon

Contents

- Details
- Types
- Methods

Description

Synopsis

- newtype FileIcon = FileIcon (ForeignPtr FileIcon)
- class GObjectClass o => FileIconClass o
- fileIconNew :: FileClass file => file -> IO FileIcon
- fileIconGetFile :: FileIconClass icon => icon -> IO File

# Details

`FileIcon` specifies an icon by pointing to an image file to be used as icon.

# Types

newtype FileIcon Source

Constructors

FileIcon (ForeignPtr FileIcon) |

Instances

Eq FileIcon Source |
Ord FileIcon Source |
GObjectClass FileIcon Source |
FileIconClass FileIcon Source |

class GObjectClass o => FileIconClass o Source

Instances

FileIconClass FileIcon Source |

# Methods

fileIconNew :: FileClass file => file -> IO FileIcon Source

Creates a new icon for a file.

fileIconGetFile :: FileIconClass icon => icon -> IO File Source

Gets the `File` associated with the given icon.